Return-Path: <simonr@codian.com>
X-Original-To: Alexander+FreeBSDCommitter@Leidinger.net
Delivered-To: alexander+freebsdcommitter@leidinger.net
Received: from redbullneu.bpaserver.net
	by imap.leidinger.net with POP3 (fetchmail-6.3.4)
	for <netchild@localhost> (single-drop); Mon, 09 Oct 2006 13:52:42 +0200 (CEST)
Received: from mx2.freebsd.org (mx2.freebsd.org [216.136.204.119])
	by redbull.bpaserver.net (Postfix) with ESMTP id 80E4E2E1BA
	for <Alexander+FreeBSDCommitter@Leidinger.net>; Mon,  9 Oct 2006 13:44:50 +0200 (CEST)
Received: from hub.freebsd.org (hub.freebsd.org [216.136.204.18])
	by mx2.freebsd.org (Postfix) with ESMTP id C88146330C
	for <Alexander+FreeBSDCommitter@Leidinger.net>; Mon,  9 Oct 2006 11:42:16 +0000 (GMT)
	(envelope-from simonr@codian.com)
Received: by hub.freebsd.org (Postfix)
	id C45D616A415; Mon,  9 Oct 2006 11:42:16 +0000 (UTC)
Delivered-To: netchild@freebsd.org
Received: from mx1.FreeBSD.org (mx1.freebsd.org [216.136.204.125])
	by hub.freebsd.org (Postfix) with ESMTP id BD10716A403
	for <netchild@FreeBSD.org>; Mon,  9 Oct 2006 11:42:16 +0000 (UTC)
	(envelope-from simonr@codian.com)
Received: from cluster-f.mailcontrol.com (cluster-f.mailcontrol.com [85.119.2.190])
	by mx1.FreeBSD.org (Postfix) with ESMTP id AAA9443D53
	for <netchild@FreeBSD.org>; Mon,  9 Oct 2006 11:42:12 +0000 (GMT)
	(envelope-from simonr@codian.com)
Received: from convidia.concordant.co.uk (88-96-4-10.dsl.zen.co.uk [88.96.4.10])
	by rly10f.srv.mailcontrol.com (MailControl) with ESMTP id k99BfWtj003732
	for <netchild@FreeBSD.org>; Mon, 9 Oct 2006 12:41:33 +0100
Received: from convidia.concordant.co.uk (localhost.localdomain [127.0.0.1])
	by filtered.convidia.concordant.co.uk (Postfix) with ESMTP
	id D96BC5D00AF; Mon,  9 Oct 2006 12:18:24 +0100 (BST)
Received: from [10.2.134.143] (unknown [10.2.134.143])
	by convidia.concordant.co.uk (Postfix) with ESMTP id 7A7FE5D00A8
	for <netchild@FreeBSD.org>; Mon,  9 Oct 2006 12:18:24 +0100 (BST)
Message-ID: <452A2FF4.4000807@codian.com>
Date: Mon, 09 Oct 2006 12:18:12 +0100
From: Simon Robbins <simonr@codian.com>
User-Agent: Thunderbird 1.5 (X11/20060830)
MIME-Version: 1.0
To: Alexander Leidinger <netchild@FreeBSD.org>
Subject: Re: ports/103979: ports/icc: Proposed update to icc port for intel
 compiler 9.1
References: <200610050720.k957KRco004035@freefall.freebsd.org>	<20061005103129.6fd97201@Magellan.Leidinger.net>	<4524D7DC.6000200@codian.com> <20061006232027.5837e4f6@Magellan.Leidinger.net>
In-Reply-To: <20061006232027.5837e4f6@Magellan.Leidinger.net>
Content-Type: multipart/mixed;
 boundary="------------080008060205000402010402"
X-Scanned-By: MailControl A-07-04-02 (www.mailcontrol.com) on 10.70.0.120
X-BPAnet-MailScanner-Information: Please contact the ISP for more information
X-BPAnet-MailScanner: Found to be clean
X-BPAnet-MailScanner-SpamCheck: not spam, SpamAssassin (not cached,
	score=2.918, required 6, BAYES_00 -2.60, DK_POLICY_SIGNSOME 0.00,
	FORGED_RCVD_HELO 0.14, J_CHICKENPOX_44 0.60, LONGWORD 0.30,
	MD5_CONTENT -0.10, MY_DSL 0.85, NO_RDNS 0.50, RATWR10_MESSID 2.00,
	RDNS_IMPRO 1.00, TW_BJ 0.08, TW_DC 0.08, TW_JC 0.08,
	UPPERCASE_25_50 0.00)
X-BPAnet-MailScanner-SpamScore: ss
X-BPAnet-MailScanner-From: simonr@codian.com
X-Spam-Status: No

This is a multi-part message in MIME format.
--------------080008060205000402010402
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

Alexander Leidinger wrote:
>
> I didn't had time to look at it yet. I don't think I will commit
> anything before the ports freeze because there are some known problems
> and getting mail by people which stumble over them would be annoying in
> this case.
>   

No problem.  icc works for what I need at the moment.  Maybe I'll figure 
out
what that objcopy message means sometime.


I attach a more complete patch to the port (inc. pkg-plist, etc).


Cheers,

Simon


--------------080008060205000402010402
Content-Type: text/plain;
 name="icc.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="icc.diff"

diff -ru icc.orig/Makefile icc/Makefile
--- icc.orig/Makefile	Sat Feb 11 23:55:41 2006
+++ icc/Makefile	Thu Oct  5 12:28:21 2006
@@ -6,10 +6,10 @@
 #
 
 PORTNAME=	icc
-PORTVERSION=	8.1.036
+PORTVERSION=	9.1.043
 CATEGORIES=	lang linux devel
 MASTER_SITES=
-DISTNAME=	l_cc_pc_${PORTVERSION:C/p.+$//}
+DISTNAME=	l_cc_c_${PORTVERSION:C/p.+$//}
 
 MAINTAINER=	netchild@FreeBSD.org
 COMMENT=	Intels C/C++ compiler, set up to produce native FreeBSD binaries
@@ -33,12 +33,12 @@
 USE_LINUX=		yes
 USE_REINPLACE=		yes
 
-COMPILERDIR=	intel_cc_80
+COMPILERDIR=	intel/cc/${PORTVERSION}
 PLIST_SUB=	COMPILERDIR=${COMPILERDIR}
 PATCH_WRKSRC=	${WRKSRC}/opt/${COMPILERDIR}
 
 MAN1=		icc.1
-MLINKS=		icc.1 icpc.1
+MLINKS=		icc.1 icpc.1 codecov.1 tselect.1
 MANPREFIX=	${PREFIX}/${COMPILERDIR}/
 
 ICC_SITE=	http://www.intel.com/software/products/compilers/
@@ -87,7 +87,7 @@
 .endif
 
 post-extract:
-	@cd ${WRKSRC} && rpm2cpio.pl 2>/dev/null *.rpm | ${CPIO} -idu --quiet
+	@cd ${WRKSRC} && rpm2cpio 2>/dev/null data/*.rpm | ${CPIO} -idu --quiet
 
 intel-patch: extract
 # Apply patches from Intel.
@@ -116,7 +116,6 @@
 		${XARGS} -0 ${CHMOD} a-x,og-w
 .endfor
 	@${FIND} ${WRKSRC}/opt -type d -print0 | ${XARGS} -0 ${CHMOD} go-w
-	@${CHMOD} a-x ${WRKSRC}/opt/${COMPILERDIR}/bin/Errormatch.txt
 
 post-patch:
 # Correct some paths and patch some files
@@ -190,8 +189,8 @@
 
 do-build:
 # Use the Linux ABI for the binaries
-.for i in codecov iccbin iccfilt icpcbin icpi mcpcom prelink profmerge \
-	proforder profrun pronto_tool tselect xiar xild
+.for i in codecov iccbin icpcbin map_opts mcpcom prelink profdcg profmerge \
+	proforder profrun.bin pronto_tool tselect xiar xild
 	@${BRANDELF} -t Linux ${WRKSRC}/opt/${COMPILERDIR}/bin/${i}
 .endfor
 # Fix unresolved references
@@ -206,13 +205,14 @@
 	@${CC} ${CFLAGS} -c -o ${WRKSRC}/stdout.o ${FILESDIR}/stdout.c
 	@${CC} ${CFLAGS} -c -o ${WRKSRC}/stderr.o ${FILESDIR}/stderr.c
 .endif
+	cp /usr/ports/lang/icc/work/l_cc_c_9.1.043/opt/intel/cc/9.1.043/lib/libcxa.a /usr/ports/lang/icc/libcxa.a
 .for i in libcxa.a libcxaguard.a libimf.a libirc.a libirc_s.a libsvml.a \
 	libunwind.a
-	@${OBJCOPY} --redefine-sym __sigsetjmp=sigsetjmp \
+	${OBJCOPY} --redefine-sym __sigsetjmp=sigsetjmp \
 		${OBJCOPY_OPS} \
 		${WRKSRC}/opt/${COMPILERDIR}/lib/${i}
 .endfor
-	@${AR} cr ${WRKSRC}/opt/${COMPILERDIR}/lib/libiccfbsd.a ${WRKSRC}/*.o
+	${AR} cr ${WRKSRC}/opt/${COMPILERDIR}/lib/libiccfbsd.a ${WRKSRC}/*.o
 # Some magic to be able to link
 	@${MKDIR} ${WRKSRC}/opt/${COMPILERDIR}/bin/ldwrapper
 	@${CC} ${CFLAGS} -o \
@@ -223,12 +223,18 @@
 	@${CHMOD} 755 ${WRKSRC}/opt/${COMPILERDIR}/bin/ldwrapper/ld
 # Make ICC happy with regards to crtbegin.o, crtend.o and libgcc.a which it
 # expects to find in GXX_ROOT.
+# Move Intel version of crtend.o out of the way:
+	@mv ${WRKSRC}/opt/${COMPILERDIR}/lib/crtend.o ${WRKSRC}/opt/${COMPILERDIR}/lib/crtend.o.intel
 .for file in crtbegin.o crtend.o libgcc.a
 	@cd ${WRKSRC}/opt/${COMPILERDIR}/lib && ${LN} -s /usr/lib/${file} ${file}
 .endfor
 # The static linking case expects a crtbeginT.o. Based upon inspection of
 # /usr/src/contrib/gnu/crtstuff.c it seems it's the same as crtbegin.o.
 	@cd ${WRKSRC}/opt/${COMPILERDIR}/lib && ${LN} -s crtbegin.o crtbeginT.o
+# Make port available to all users
+	@${CHMOD} 755 ${WRKSRC}/opt/intel
+	@${CHMOD} 755 ${WRKSRC}/opt/intel/cc
+	@${CHMOD} 755 ${WRKSRC}/opt/${COMPILERDIR}
 
 do-install:
 	@cd ${WRKSRC}/opt && ${FIND} . -print | \
diff -ru icc.orig/distinfo icc/distinfo
--- icc.orig/distinfo	Sat Feb 11 23:55:41 2006
+++ icc/distinfo	Tue Oct  3 13:15:52 2006
@@ -1,3 +1,3 @@
-MD5 (l_cc_pc_8.1.036.tar.gz) = 8081589035f77421986f124f34564de0
-SHA256 (l_cc_pc_8.1.036.tar.gz) = f6e6f8f1eb6b9d6a6c5287af0fdbbb6719ab32cdb683cda3aaf435f7e9148a48
-SIZE (l_cc_pc_8.1.036.tar.gz) = 136884989
+MD5 (l_cc_c_9.1.043.tar.gz) = 2894e89dce1aee25fe48a2cca4d369f4
+SHA256 (l_cc_c_9.1.043.tar.gz) = 7530a0d23f8e63320b9cc863a7de6bbc513359c6a1402b92acda3cfdb9895194
+SIZE (l_cc_c_9.1.043.tar.gz) = 292286998
diff -ru icc.orig/files/patch-bin::icc icc/files/patch-bin::icc
--- icc.orig/files/patch-bin::icc	Sun Mar  6 15:08:26 2005
+++ icc/files/patch-bin::icc	Wed Oct  4 10:36:11 2006
@@ -1,5 +1,5 @@
---- bin/icc.orig	Sun Mar  6 15:40:09 2005
-+++ bin/icc	Sun Mar  6 15:44:30 2005
+--- bin/icc.org	Wed Oct  4 10:07:03 2006
++++ bin/icc	Wed Oct  4 10:30:52 2006
 @@ -1,5 +1,11 @@
  #!/bin/sh
  
@@ -9,10 +9,10 @@
 +GXX_ROOT=${GXX_ROOT:-<INSTALLDIR>/lib}
 +export GXX_ROOT
 +
- if [ -z "$INTEL_LICENSE_FILE" ]
+ if [ -z "${INTEL_LICENSE_FILE}" ]
  then
-  INTEL_LICENSE_FILE="<INSTALLDIR>/licenses";
-@@ -24,11 +30,46 @@
+  INTEL_LICENSE_FILE="<INSTALLDIR>/licenses:/opt/intel/licenses:${HOME}/intel/licenses:/Users/Shared/Library/Application Support/Intel/licenses";
+@@ -33,11 +39,46 @@
  fi
  export PATH;
  
diff -ru icc.orig/files/patch-bin::icpc icc/files/patch-bin::icpc
--- icc.orig/files/patch-bin::icpc	Sun Mar  6 15:08:26 2005
+++ icc/files/patch-bin::icpc	Wed Oct  4 10:40:36 2006
@@ -1,24 +1,24 @@
---- bin/icpc.orig	Sun Mar  6 15:46:09 2005
-+++ bin/icpc	Sun Mar  6 15:48:12 2005
+--- bin/icpc.orig	Wed Oct  4 10:36:47 2006
++++ bin/icpc	Wed Oct  4 10:38:41 2006
 @@ -1,5 +1,17 @@
  #!/bin/sh
  
 +ICC_LOCALBASE=%%ICC_LOCALBASE%%
 +export ICC_LOCALBASE
-+
++ 
 +GXX_ROOT=${GXX_ROOT:-<INSTALLDIR>/lib}
 +export GXX_ROOT
 +
 +GXX_INCLUDE=${GXX_INCLUDE:-%%GXX_INCLUDE%%}
 +if [ ! -z "$GXX_INCLUDE" ]
-+then
++then 
 + export GXX_INCLUDE
 +fi
 +
- if [ -z "$INTEL_LICENSE_FILE" ]
+ if [ -z "${INTEL_LICENSE_FILE}" ]
  then
-  INTEL_LICENSE_FILE="<INSTALLDIR>/licenses";
-@@ -24,11 +36,43 @@
+  INTEL_LICENSE_FILE="<INSTALLDIR>/licenses:/opt/intel/licenses:${HOME}/intel/licenses:/Users/Shared/Library/Application Support/Intel/licenses";
+@@ -33,11 +45,43 @@
  fi
  export PATH;
  
diff -ru icc.orig/files/patch-include::dvec.h icc/files/patch-include::dvec.h
--- icc.orig/files/patch-include::dvec.h	Sat Jun  4 17:25:50 2005
+++ icc/files/patch-include::dvec.h	Wed Oct  4 10:46:27 2006
@@ -1,11 +1,11 @@
---- include/dvec.h.orig	Sat Jun  4 17:31:49 2005
-+++ include/dvec.h	Sat Jun  4 17:34:42 2005
+--- include/dvec.h.orig	Wed Oct  4 10:41:09 2006
++++ include/dvec.h	Wed Oct  4 10:45:00 2006
 @@ -38,7 +38,7 @@
  
  
  /* If using MSVC5.0, explicit keyword should be used */
--#if (_MSC_VER >= 1100) || defined (__linux__) || defined(__QNX__)
-+#if (_MSC_VER >= 1100) || defined (__linux__) || defined(__QNX__) || defined (__FreeBSD__)
+-#if (_MSC_VER >= 1100) || defined (__linux__) || defined(__unix__) || defined(__APPLE__)
++#if (_MSC_VER >= 1100) || defined (__linux__) || defined(__unix__) || defined(__APPLE__) || defined (__FreeBSD__)
          #define EXPLICIT explicit
  #else
     #if (__INTEL_COMPILER)
@@ -13,8 +13,8 @@
  #endif
  
  /* Figure out whether and how to define the output operators */
--#if defined(_IOSTREAM_) || defined(_CPP_IOSTREAM)
-+#if defined(_IOSTREAM_) || defined(_CPP_IOSTREAM) || defined(_STLP_IOSTREAM)
+-#if defined(_IOSTREAM_) || defined(_CPP_IOSTREAM) || defined(_GLIBCXX_IOSTREAM)
++#if defined(_IOSTREAM_) || defined(_CPP_IOSTREAM) || defined(_GLIBCXX_IOSTREAM) || defined(_STLP_IOSTREAM)
  #define DVEC_DEFINE_OUTPUT_OPERATORS
  #define DVEC_STD std::
 -#elif defined(_INC_IOSTREAM) || defined(_IOSTREAM_H_)
diff -ru icc.orig/files/patch-include::fvec.h icc/files/patch-include::fvec.h
--- icc.orig/files/patch-include::fvec.h	Sat Jun  4 17:25:50 2005
+++ icc/files/patch-include::fvec.h	Wed Oct  4 10:51:02 2006
@@ -1,11 +1,11 @@
---- include/fvec.h.orig	Sat Jun  4 17:36:19 2005
-+++ include/fvec.h	Sat Jun  4 17:45:48 2005
+--- include/fvec.h.orig	Wed Oct  4 10:47:02 2006
++++ include/fvec.h	Wed Oct  4 10:50:15 2006
 @@ -41,7 +41,7 @@
  #pragma pack(push,16) /* Must ensure class & union 16-B aligned */
  
  /* If using MSVC5.0, explicit keyword should be used */
--#if (_MSC_VER >= 1100) || defined (__linux__) || defined(__QNX__)
-+#if (_MSC_VER >= 1100) || defined (__linux__) || defined(__QNX__) || defined (__FreeBSD__)
+-#if (_MSC_VER >= 1100) || defined(__linux__) || defined(__unix__) || defined(__APPLE__)
++#if (_MSC_VER >= 1100) || defined(__linux__) || defined(__unix__) || defined(__APPLE__) || defined (__FreeBSD__)
          #define EXPLICIT explicit
  #else
     #if (__INTEL_COMPILER)
@@ -13,8 +13,8 @@
  #endif
  
  /* Figure out whether and how to define the output operators */
--#if defined(_IOSTREAM_) || defined(_CPP_IOSTREAM)
-+#if defined(_IOSTREAM_) || defined(_CPP_IOSTREAM) || defined(_STLP_IOSTREAM)
+-#if defined(_IOSTREAM_) || defined(_CPP_IOSTREAM) || defined(_GLIBCXX_IOSTREAM)
++#if defined(_IOSTREAM_) || defined(_CPP_IOSTREAM) || defined(_GLIBCXX_IOSTREAM) || defined(_STLP_IOSTREAM)
  #define FVEC_DEFINE_OUTPUT_OPERATORS
  #define FVEC_STD std::
 -#elif defined(_INC_IOSTREAM) || defined(_IOSTREAM_H_)
diff -ru icc.orig/files/patch-include::ivec.h icc/files/patch-include::ivec.h
--- icc.orig/files/patch-include::ivec.h	Sat Jun  4 17:25:50 2005
+++ icc/files/patch-include::ivec.h	Wed Oct  4 10:55:40 2006
@@ -1,11 +1,11 @@
---- include/ivec.h.orig	Sat Jun  4 17:36:19 2005
-+++ include/ivec.h	Sat Jun  4 17:47:23 2005
+--- include/ivec.h.orig	Wed Oct  4 10:51:36 2006
++++ include/ivec.h	Wed Oct  4 10:54:58 2006
 @@ -23,7 +23,7 @@
  #include <assert.h>
  
  /* If using MSVC5.0, explicit keyword should be used */
--#if (_MSC_VER >= 1100) || defined (__linux__) || defined(__QNX__)
-+#if (_MSC_VER >= 1100) || defined (__linux__) || defined(__QNX__) || defined (__FreeBSD__)
+-#if (_MSC_VER >= 1100) || defined(__linux__) || defined(__unix__) || defined(__APPLE__)
++#if (_MSC_VER >= 1100) || defined(__linux__) || defined(__unix__) || defined(__APPLE__) || defined (__FreeBSD__)
          #define EXPLICIT explicit
  #else
     #if (__INTEL_COMPILER)
@@ -13,8 +13,8 @@
  #endif
  
  /* Figure out whether and how to define the output operators */
--#if defined(_IOSTREAM_) || defined(_CPP_IOSTREAM)
-+#if defined(_IOSTREAM_) || defined(_CPP_IOSTREAM) || defined(_STLP_IOSTREAM)
+-#if defined(_IOSTREAM_) || defined(_CPP_IOSTREAM) || defined(_GLIBCXX_IOSTREAM)
++#if defined(_IOSTREAM_) || defined(_CPP_IOSTREAM) || defined(_GLIBCXX_IOSTREAM) || defined(_STLP_IOSTREAM)
  #define IVEC_DEFINE_OUTPUT_OPERATORS
  #define IVEC_STD std::
 -#elif defined(_INC_IOSTREAM) || defined(_IOSTREAM_H_)
diff -ru icc.orig/files/patch-include::mathimf.h icc/files/patch-include::mathimf.h
--- icc.orig/files/patch-include::mathimf.h	Sun Mar  6 15:08:26 2005
+++ icc/files/patch-include::mathimf.h	Wed Oct  4 11:42:00 2006
@@ -1,348 +1,44 @@
---- include/mathimf.h.orig	Sun Dec 12 17:56:24 2004
-+++ include/mathimf.h	Sun Dec 12 18:02:12 2004
-@@ -40,7 +40,7 @@
- # endif
+--- include/mathimf.h.orig	Wed Oct  4 11:04:26 2006
++++ include/mathimf.h	Wed Oct  4 11:39:49 2006
+@@ -54,7 +54,7 @@
+ # define __IMFCOMPLEXON
  #endif
  
--#if defined(__linux__)
-+#if defined(__linux__) || defined(__FreeBSD__)
- # include <math.h>  /* utilize GNU math header */
+-#if defined(__linux__) || defined(__APPLE__)
++#if defined(__linux__) || defined(__APPLE__) || defined(__FreeBSD__)
  # if defined(fpclassify)
  #  undef fpclassify
-@@ -262,7 +262,7 @@
- 
- /* Radian argument trigonometric functions */
- 
--#if !defined(__linux__)
-+#if !defined(__linux__) && !defined(__FreeBSD__)
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI acos( _LIBIMF_DOUBLE __x );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI acosf( _LIBIMF_FLOAT __x );
-@@ -292,7 +292,7 @@
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI tanf( _LIBIMF_FLOAT __x );
- _LIBIMF_EXT _LIBIMF_XDOUBLE  _LIBIMF_PUBAPI tanl( _LIBIMF_XDOUBLE __x );
- 
--#endif  /*!__linux__*/
-+#endif  /*!__linux__ && !__FreeBSD__*/
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI cot( _LIBIMF_DOUBLE __x );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI cotf( _LIBIMF_FLOAT __x );
-@@ -346,7 +346,7 @@
- 
- /* Hyperbolic functions */
- 
--#if !defined(__linux__)
-+#if !defined(__linux__) && !defined(__FreeBSD__)
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI acosh( _LIBIMF_DOUBLE __x );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI acoshf( _LIBIMF_FLOAT __x );
-@@ -372,7 +372,7 @@
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI tanhf( _LIBIMF_FLOAT __x );
- _LIBIMF_EXT _LIBIMF_XDOUBLE  _LIBIMF_PUBAPI tanhl( _LIBIMF_XDOUBLE __x );
- 
--#endif  /*!__linux__*/
-+#endif  /*!__linux__ && !__FreeBSD__*/
- 
- _LIBIMF_EXT _LIBIMF_VOID     _LIBIMF_PUBAPI sinhcosh( _LIBIMF_DOUBLE __x, _LIBIMF_DOUBLE *__psinh, _LIBIMF_DOUBLE *__pcosh );
- _LIBIMF_EXT _LIBIMF_VOID     _LIBIMF_PUBAPI sinhcoshf( _LIBIMF_FLOAT __x, _LIBIMF_FLOAT *__psinh, _LIBIMF_FLOAT *__pcosh );
-@@ -380,13 +380,13 @@
- 
- /* Exponential functions */
- 
--#if !defined(__linux__)
-+#if !defined(__linux__) && !defined(__FreeBSD__)
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI exp( _LIBIMF_DOUBLE __x );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI expf( _LIBIMF_FLOAT __x );
- _LIBIMF_EXT _LIBIMF_XDOUBLE  _LIBIMF_PUBAPI expl( _LIBIMF_XDOUBLE __x );
- 
--#endif  /*!__linux__*/
-+#endif  /*!__linux__ && !__FreeBSD__*/
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI exp2( _LIBIMF_DOUBLE __x );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI exp2f( _LIBIMF_FLOAT __x );
-@@ -396,7 +396,7 @@
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI exp10f( _LIBIMF_FLOAT __x );
- _LIBIMF_EXT _LIBIMF_XDOUBLE  _LIBIMF_PUBAPI exp10l( _LIBIMF_XDOUBLE __x );
- 
--#if !defined(__linux__)
-+#if !defined(__linux__) && !defined(__FreeBSD__)
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI expm1( _LIBIMF_DOUBLE __x );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI expm1f( _LIBIMF_FLOAT __x );
-@@ -418,7 +418,7 @@
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI scalbnf( _LIBIMF_FLOAT __x, _LIBIMF_INT __n );
- _LIBIMF_EXT _LIBIMF_XDOUBLE  _LIBIMF_PUBAPI scalbnl( _LIBIMF_XDOUBLE __x, _LIBIMF_INT __n );
- 
--#endif  /*!__linux__*/
-+#endif  /*!__linux__ && !__FreeBSD__*/
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI scalbln( _LIBIMF_DOUBLE __x, _LIBIMF_LONGINT __n );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI scalblnf( _LIBIMF_FLOAT __x, _LIBIMF_LONGINT __n );
-@@ -426,19 +426,19 @@
- 
- /* Logarithmic functions */
- 
--#if !defined(__linux__)
-+#if !defined(__linux__) && !defined(__FreeBSD__)
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI log( _LIBIMF_DOUBLE __x );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI logf( _LIBIMF_FLOAT __x );
- _LIBIMF_EXT _LIBIMF_XDOUBLE  _LIBIMF_PUBAPI logl( _LIBIMF_XDOUBLE __x );
- 
--#endif  /*!__linux__*/
-+#endif  /*!__linux__ && !__FreeBSD__*/
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI log2( _LIBIMF_DOUBLE __x );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI log2f( _LIBIMF_FLOAT __x );
- _LIBIMF_EXT _LIBIMF_XDOUBLE  _LIBIMF_PUBAPI log2l( _LIBIMF_XDOUBLE __x );
- 
--#if !defined(__linux__)
-+#if !defined(__linux__) && !defined(__FreeBSD__)
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI log10( _LIBIMF_DOUBLE __x );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI log10f( _LIBIMF_FLOAT __x );
-@@ -460,11 +460,11 @@
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI modff( _LIBIMF_FLOAT __x, _LIBIMF_FLOAT *__iptr );
- _LIBIMF_EXT _LIBIMF_XDOUBLE  _LIBIMF_PUBAPI modfl( _LIBIMF_XDOUBLE __x, _LIBIMF_XDOUBLE *__iptr );
- 
--#endif  /*!__linux__*/
-+#endif  /*!__linux__ && !__FreeBSD__*/
- 
- /* Power/root/abs functions */
- 
--#if !defined(__linux__)
-+#if !defined(__linux__) && !defined(__FreeBSD__)
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI cbrt( _LIBIMF_DOUBLE __x );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI cbrtf( _LIBIMF_FLOAT __x );
-@@ -486,7 +486,7 @@
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI sqrtf( _LIBIMF_FLOAT __x );
- _LIBIMF_EXT _LIBIMF_XDOUBLE  _LIBIMF_PUBAPI sqrtl( _LIBIMF_XDOUBLE __x );
- 
--#endif  /*!__linux__*/
-+#endif  /*!__linux__ && !__FreeBSD__*/
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI invsqrt( _LIBIMF_DOUBLE __x );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI invsqrtf( _LIBIMF_FLOAT __x );
-@@ -494,7 +494,7 @@
- 
- /* Error and gamma functions */
- 
--#if !defined(__linux__)
-+#if !defined(__linux__) && !defined(__FreeBSD__)
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI erf( _LIBIMF_DOUBLE __x );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI erff( _LIBIMF_FLOAT __x );
-@@ -516,7 +516,7 @@
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI gammaf( _LIBIMF_FLOAT __x );
- _LIBIMF_EXT _LIBIMF_XDOUBLE  _LIBIMF_PUBAPI gammal( _LIBIMF_XDOUBLE __x );
- 
--#endif  /*!__linux__*/
-+#endif  /*!__linux__ && !__FreeBSD__*/
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI gamma_r( _LIBIMF_DOUBLE __x, _LIBIMF_INT *__signgam );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI gammaf_r( _LIBIMF_FLOAT __x, _LIBIMF_INT *__signgam );
-@@ -528,7 +528,7 @@
- 
- /* Nearest integer functions */
- 
--#if !defined(__linux__)
-+#if !defined(__linux__) && !defined(__FreeBSD__)
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI ceil( _LIBIMF_DOUBLE __x );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI ceilf( _LIBIMF_FLOAT __x );
-@@ -538,19 +538,19 @@
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI floorf( _LIBIMF_FLOAT __x );
- _LIBIMF_EXT _LIBIMF_XDOUBLE  _LIBIMF_PUBAPI floorl( _LIBIMF_XDOUBLE __x );
- 
--#endif  /*!__linux__*/
-+#endif  /*!__linux__ && !__FreeBSD__*/
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI nearbyint( _LIBIMF_DOUBLE __x );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI nearbyintf( _LIBIMF_FLOAT __x );
- _LIBIMF_EXT _LIBIMF_XDOUBLE  _LIBIMF_PUBAPI nearbyintl( _LIBIMF_XDOUBLE __x );
- 
--#if !defined(__linux__)
-+#if !defined(__linux__) && !defined(__FreeBSD__)
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI rint( _LIBIMF_DOUBLE __x );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI rintf( _LIBIMF_FLOAT __x );
- _LIBIMF_EXT _LIBIMF_XDOUBLE  _LIBIMF_PUBAPI rintl( _LIBIMF_XDOUBLE __x );
- 
--#endif  /*!__linux__*/
-+#endif  /*!__linux__ && !__FreeBSD__*/
- 
- _LIBIMF_EXT _LIBIMF_LONGINT  _LIBIMF_PUBAPI lrint( _LIBIMF_DOUBLE __x );
- _LIBIMF_EXT _LIBIMF_LONGINT  _LIBIMF_PUBAPI lrintf( _LIBIMF_FLOAT __x );
-@@ -578,7 +578,7 @@
- 
- /* Remainder functions */
- 
--#if !defined(__linux__)
-+#if !defined(__linux__) && !defined(__FreeBSD__)
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI fmod( _LIBIMF_DOUBLE __x, _LIBIMF_DOUBLE __y );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI fmodf( _LIBIMF_FLOAT __x, _LIBIMF_FLOAT __y );
-@@ -588,7 +588,7 @@
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI remainderf( _LIBIMF_FLOAT __x, _LIBIMF_FLOAT __y );
- _LIBIMF_EXT _LIBIMF_XDOUBLE  _LIBIMF_PUBAPI remainderl( _LIBIMF_XDOUBLE __x, _LIBIMF_XDOUBLE __y );
- 
--#endif  /*!__linux__*/
-+#endif  /*!__linux__ && !__FreeBSD__*/
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI remquo( _LIBIMF_DOUBLE __x, _LIBIMF_DOUBLE __y, _LIBIMF_INT *__quo );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI remquof( _LIBIMF_FLOAT __x, _LIBIMF_FLOAT __y, _LIBIMF_INT *__quo );
-@@ -596,7 +596,7 @@
- 
- /* Manipulation functions */
- 
--#if !defined(__linux__)
-+#if !defined(__linux__) && !defined(__FreeBSD__)
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI significand( _LIBIMF_DOUBLE __x );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI significandf( _LIBIMF_FLOAT __x );
-@@ -610,7 +610,7 @@
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI nextafterf( _LIBIMF_FLOAT __x, _LIBIMF_FLOAT __y );
- _LIBIMF_EXT _LIBIMF_XDOUBLE  _LIBIMF_PUBAPI nextafterl( _LIBIMF_XDOUBLE __x, _LIBIMF_XDOUBLE __y );
- 
--#endif  /*!__linux__*/
-+#endif  /*!__linux__ && !__FreeBSD__*/
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI nexttoward( _LIBIMF_DOUBLE __x, _LIBIMF_XDOUBLE __y );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI nexttowardf( _LIBIMF_FLOAT __x, _LIBIMF_XDOUBLE __y );
-@@ -646,7 +646,7 @@
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI compoundf( _LIBIMF_FLOAT __x, _LIBIMF_FLOAT __y );
- _LIBIMF_EXT _LIBIMF_XDOUBLE  _LIBIMF_PUBAPI compoundl( _LIBIMF_XDOUBLE __x, _LIBIMF_XDOUBLE __y );
- 
--#if !defined(__linux__)
-+#if !defined(__linux__) && !defined(__FreeBSD__)
- 
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI j0( _LIBIMF_DOUBLE __x );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI j0f( _LIBIMF_FLOAT __x );
-@@ -666,7 +666,7 @@
- _LIBIMF_EXT _LIBIMF_DOUBLE   _LIBIMF_PUBAPI yn( _LIBIMF_INT __n, _LIBIMF_DOUBLE __x );
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI ynf( _LIBIMF_INT __n, _LIBIMF_FLOAT __x );
- 
--#endif  /*!__linux__*/
-+#endif  /*!__linux__ && !__FreeBSD__*/
- 
- #if (__IMFLONGDOUBLE == 64)	/* MS compatibility */
- # define acosdl       acosd
-@@ -784,7 +784,7 @@
- 
- /* Complex trigonometric functions */
- 
--#if !defined(__linux__)
-+#if !defined(__linux__) && !defined(__FreeBSD__)
- 
- _LIBIMF_EXT _LIBIMF_DCOMPLEX _LIBIMF_PUBAPI ccos( _LIBIMF_DCOMPLEX __z );
- _LIBIMF_EXT _LIBIMF_FCOMPLEX _LIBIMF_PUBAPI ccosf( _LIBIMF_FCOMPLEX __z );
-@@ -814,7 +814,7 @@
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI cargf( _LIBIMF_FCOMPLEX __z );
- _LIBIMF_EXT _LIBIMF_XDOUBLE  _LIBIMF_PUBAPI cargl( _LIBIMF_XCOMPLEX __z );
- 
--#endif  /*!__linux__*/
-+#endif  /*!__linux__ && !__FreeBSD__*/
- 
- _LIBIMF_EXT _LIBIMF_DCOMPLEX _LIBIMF_PUBAPI cis( _LIBIMF_DOUBLE __x );
- _LIBIMF_EXT _LIBIMF_FCOMPLEX _LIBIMF_PUBAPI cisf( _LIBIMF_FLOAT __x );
-@@ -826,13 +826,13 @@
- 
- /* Complex exponential functions */
- 
--#if !defined(__linux__)
-+#if !defined(__linux__) && !defined(__FreeBSD__)
- 
- _LIBIMF_EXT _LIBIMF_DCOMPLEX _LIBIMF_PUBAPI cexp( _LIBIMF_DCOMPLEX __z );
- _LIBIMF_EXT _LIBIMF_FCOMPLEX _LIBIMF_PUBAPI cexpf( _LIBIMF_FCOMPLEX __z );
- _LIBIMF_EXT _LIBIMF_XCOMPLEX _LIBIMF_PUBAPI cexpl( _LIBIMF_XCOMPLEX __z );
- 
--#endif  /*!__linux__*/
-+#endif  /*!__linux__ && !__FreeBSD__*/
- 
- _LIBIMF_EXT _LIBIMF_DCOMPLEX _LIBIMF_PUBAPI cexp2( _LIBIMF_DCOMPLEX __z );
- _LIBIMF_EXT _LIBIMF_FCOMPLEX _LIBIMF_PUBAPI cexp2f( _LIBIMF_FCOMPLEX __z );
-@@ -842,7 +842,7 @@
- _LIBIMF_EXT _LIBIMF_FCOMPLEX _LIBIMF_PUBAPI cexp10f( _LIBIMF_FCOMPLEX __z );
- _LIBIMF_EXT _LIBIMF_XCOMPLEX _LIBIMF_PUBAPI cexp10l( _LIBIMF_XCOMPLEX __z );
- 
--#if !defined(__linux__)
-+#if !defined(__linux__) && !defined(__FreeBSD__)
- 
- _LIBIMF_EXT _LIBIMF_DCOMPLEX _LIBIMF_PUBAPI ccosh( _LIBIMF_DCOMPLEX __z );
- _LIBIMF_EXT _LIBIMF_FCOMPLEX _LIBIMF_PUBAPI ccoshf( _LIBIMF_FCOMPLEX __z );
-@@ -868,17 +868,17 @@
- _LIBIMF_EXT _LIBIMF_FCOMPLEX _LIBIMF_PUBAPI catanhf( _LIBIMF_FCOMPLEX __z );
- _LIBIMF_EXT _LIBIMF_XCOMPLEX _LIBIMF_PUBAPI catanhl( _LIBIMF_XCOMPLEX __z );
- 
--#endif  /*!__linux__*/
-+#endif  /*!__linux__ && !__FreeBSD__*/
- 
- /* Complex logarithmic functions */
- 
--#if !defined(__linux__)
-+#if !defined(__linux__) && !defined(__FreeBSD__)
- 
- _LIBIMF_EXT _LIBIMF_DCOMPLEX _LIBIMF_PUBAPI clog( _LIBIMF_DCOMPLEX __z );
- _LIBIMF_EXT _LIBIMF_FCOMPLEX _LIBIMF_PUBAPI clogf( _LIBIMF_FCOMPLEX __z );
- _LIBIMF_EXT _LIBIMF_XCOMPLEX _LIBIMF_PUBAPI clogl( _LIBIMF_XCOMPLEX __z );
- 
--#endif  /*!__linux__*/
-+#endif  /*!__linux__ && !__FreeBSD__*/
- 
- _LIBIMF_EXT _LIBIMF_DCOMPLEX _LIBIMF_PUBAPI clog2( _LIBIMF_DCOMPLEX __z );
- _LIBIMF_EXT _LIBIMF_FCOMPLEX _LIBIMF_PUBAPI clog2f( _LIBIMF_FCOMPLEX __z );
-@@ -890,7 +890,7 @@
- 
- /* Complex power/root/abs functions */
- 
--#if !defined(__linux__)
-+#if !defined(__linux__) && !defined(__FreeBSD__)
- 
- _LIBIMF_EXT _LIBIMF_DCOMPLEX _LIBIMF_PUBAPI cpow( _LIBIMF_DCOMPLEX __z, _LIBIMF_DCOMPLEX __c );
- _LIBIMF_EXT _LIBIMF_FCOMPLEX _LIBIMF_PUBAPI cpowf( _LIBIMF_FCOMPLEX __z, _LIBIMF_FCOMPLEX __c );
-@@ -904,11 +904,11 @@
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI cabsf( _LIBIMF_FCOMPLEX __z );
- _LIBIMF_EXT _LIBIMF_XDOUBLE  _LIBIMF_PUBAPI cabsl( _LIBIMF_XCOMPLEX __z );
- 
--#endif  /*!__linux__*/
-+#endif  /*!__linux__ && !__FreeBSD__*/
- 
- /* Other complex functions */
- 
--#if !defined(__linux__)
-+#if !defined(__linux__) && !defined(__FreeBSD__)
- 
- _LIBIMF_EXT _LIBIMF_DCOMPLEX _LIBIMF_PUBAPI conj( _LIBIMF_DCOMPLEX __z );
- _LIBIMF_EXT _LIBIMF_FCOMPLEX _LIBIMF_PUBAPI conjf( _LIBIMF_FCOMPLEX __z );
-@@ -926,7 +926,7 @@
- _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI crealf( _LIBIMF_FCOMPLEX __z );
- _LIBIMF_EXT _LIBIMF_XDOUBLE  _LIBIMF_PUBAPI creall( _LIBIMF_XCOMPLEX __z );
- 
--#endif  /*!__linux__*/
-+#endif  /*!__linux__ && !__FreeBSD__*/
+ # endif
+@@ -76,9 +76,9 @@
+ # if defined(signbit)
+ #  undef signbit
+ # endif
+-#endif /* __linux__ */
++#endif /* __linux__ || __APPLE__ || __FreeBSD__ */
  
- #if (__IMFLONGDOUBLE == 64)	/* MS compatibility */
- # define cabsl   cabs
-@@ -979,7 +979,7 @@
-     _LIBIMF_DOUBLE  retval;
- } ___exception;
+-#if defined(__linux__) || defined(__APPLE__)
++#if defined(__linux__) || defined(__APPLE__) || defined(__FreeBSD__)
+ # if defined(isgreater)
+ #  undef isgreater
+ # endif
+@@ -97,9 +97,9 @@
+ # if defined(isunordered)
+ #  undef isunordered
+ # endif
+-#endif /* __linux__ || __APPLE__ */
++#endif /* __linux__ || __APPLE__ || __FreeBSD__ */
  
--#if defined(__linux__)
-+#if defined(__linux__) || defined(__FreeBSD__)
- # if defined(__cplusplus)
- #  define __exception ____exception   /* map 'struct __exception'  to 'struct ____exception'  */
- # else     /*__cplusplus*/
-@@ -1008,9 +1008,9 @@
-     _LIBIMF_XDOUBLE  retval;
- } ___exceptionl;
+-#if !defined(__linux__) && !defined(__APPLE__)
++#if !defined(__linux__) && !defined(__APPLE__) && !defined(__FreeBSD__)
+ static unsigned int __huge_valf[] = {0x7f800000};
+ #define HUGE_VALF (*(double *) __huge_valf)
+ static unsigned int __huge_vall[] = {0, 0, 0x00007f80, 0};
+@@ -365,7 +365,7 @@
  
--#if !defined(__linux__)
-+#if !defined(__linux__) && !defined(__FreeBSD__)
- _LIBIMF_EXT _LIBIMF_INT _LIBIMF_PUBAPI matherr( struct ____exception  *__e );
--#endif /*!__linux__*/
-+#endif /*!__linux__ && !__FreeBSD__*/
- _LIBIMF_EXT _LIBIMF_INT _LIBIMF_PUBAPI matherrf( struct ____exceptionf *__e );
- _LIBIMF_EXT _LIBIMF_INT _LIBIMF_PUBAPI matherrl( struct ____exceptionl *__e );
+ #endif  /* __unix__ && !__APPLE__ */
  
+-#if !defined(__unix__) && !defined(__APPLE__) 
++#if !defined(__unix__) && !defined(__APPLE__)
+ _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI acosf( _LIBIMF_FLOAT __x );
+ _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI asinf( _LIBIMF_FLOAT __x );
+ _LIBIMF_EXT _LIBIMF_FLOAT    _LIBIMF_PUBAPI atanf( _LIBIMF_FLOAT __x );
diff -ru icc.orig/files/patch-include::xmmintrin.h icc/files/patch-include::xmmintrin.h
--- icc.orig/files/patch-include::xmmintrin.h	Tue Nov  2 23:27:26 2004
+++ icc/files/patch-include::xmmintrin.h	Wed Oct  4 11:46:05 2006
@@ -1,11 +1,11 @@
---- include/xmmintrin.h.orig	Wed Mar 17 14:42:12 2004
-+++ include/xmmintrin.h	Wed Mar 17 14:42:31 2004
+--- include/xmmintrin.h.orig	Wed Oct  4 11:42:25 2006
++++ include/xmmintrin.h	Wed Oct  4 11:45:16 2006
 @@ -18,7 +18,7 @@
  #ifndef _INCLUDED_MM2
  #define _INCLUDED_MM2
  
--#if defined (__linux__) || defined (__QNX__)    /* EIA Compiler does not compile either */
-+#if defined (__linux__) || defined (__FreeBSD__) || defined(__QNX__)   /* EIA Compiler does not compile either */
+-#if defined (__linux__) || defined (__QNX__) || defined(__APPLE__)  /* EIA Compiler does not compile either */
++#if defined (__linux__) || defined (__FreeBSD__) || defined (__QNX__) || defined(__APPLE__)  /* EIA Compiler does not compile either */
  #define __cdecl
  #endif
  
